#include <iostream>
#include <stdlib.h>
#include <vector>
using namespace std;

int main(int argc, const char * argv[]) {
    int N, M;
    cin>>N>>M;
    long long int A[N];
    int X[M],Y[M];

    for (auto i = 0 ; i < N; i ++)
    {
        cin>>A[i];
    }
    
    for (auto i = 0 ; i < M; i ++)
    {
        cin>>X[i]>>Y[i];
    }
    int prijatelji[N];
    int neprijatelji[N];
    for (int i= 0 ; i < N ; i ++)
    {
        prijatelji[i]=0;
        neprijatelji[i]=0;
    }

    for (auto i = 0 ; i < M; i ++)
    {
        if ( abs(A[(X[i]-1)])>abs(A[(Y[i]-1)]))
        {
            if (A[X[i]-1]>=0)
            {
                prijatelji[X[i]-1]++;
                prijatelji[Y[i]-1]++;
                continue;
            }
            else
            {
                neprijatelji[X[i]-1]++;
                neprijatelji[Y[i]-1]++;
                continue;
            }
        }
        else
        {
            if (A[Y[i]-1]>=0)
            {
                prijatelji[X[i]-1]++;
                prijatelji[Y[i]-1]++;
                continue;
            }
            else
            {
                neprijatelji[X[i]-1]++;
                neprijatelji[Y[i]-1]++;
                continue;
            }
        }
    }
    long long int max_druzeljubivost=0;
    for (auto i = 0 ; i < N; i ++)
    {
        max_druzeljubivost+=A[i]*(prijatelji[i]-neprijatelji[i]);
       
    }

    cout<<max_druzeljubivost<<endl;
    
    
    return 0;
}